Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC

Bug 526944

Summary: x11-drivers/nvidia-drivers - nvidia.ko contains writeable executable sections
Product: Gentoo Linux Reporter: Alex <fhlfibh>
Component: Current packagesAssignee: Jeroen Roovers <jer>
Status: UNCONFIRMED ---    
Severity: normal    
Priority: Normal    
Version: unspecified   
Hardware: AMD64   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Attachments: emerge --info output

Description Alex 2014-10-26 16:19:57 UTC
Created attachment 387458 [details]
emerge --info output

After manual kernel upgrade (3.14.14 to 3.16.5) and "emerge @module-rebuild" the following notification appears:

----------------------------------------------------------
 * QA Notice: The following files contain writable and executable sections
 *  Files with such sections will not work properly (or at all!) on some
 *  architectures/operating systems.  A bug should be filed at
 *  http://bugs.gentoo.org/ to make sure the issue is fixed.
 *  For more information, see http://hardened.gentoo.org/gnu-stack.xml
 *  Please include the following list of files in your report:
 *  Note: Bugs should be filed for the respective maintainers
 *  of the package in question and not hardened@g.o.
 * --X --- --- lib/modules/3.16.5-gentoo/video/nvidia.ko
-----------------------------------------------------------

Not sure if it's important, but it says a bug should be filed...

"emerge --info" output is attached.

Regards,
Alex
Comment 1 manu 2014-12-19 08:47:12 UTC
Same here when upgrading from 3.16.5-gentoo to 3.17.7-gentoo

>>> Completed installing nvidia-drivers-340.65 into /var/tmp/portage/x11-drivers/nvidia-drivers-340.65/image/


 * QA Notice: The following files contain writable and executable sections
 *  Files with such sections will not work properly (or at all!) on some
 *  architectures/operating systems.  A bug should be filed at
 *  http://bugs.gentoo.org/ to make sure the issue is fixed.
 *  For more information, see http://hardened.gentoo.org/gnu-stack.xml
 *  Please include the following list of files in your report:
 *  Note: Bugs should be filed for the respective maintainers
 *  of the package in question and not hardened@g.o.
 * --X --- --- lib/modules/3.17.7-gentoo/video/nvidia.ko
Comment 2 Jeroen Roovers gentoo-dev 2014-12-19 14:13:51 UTC
(In reply to manu from comment #1)
> Same here when upgrading from 3.16.5-gentoo to 3.17.7-gentoo

Versions don't fix bugs. Particularly versions of unrelated software that you happen to be compiling against.
Comment 3 Alexander Bezrukov 2016-04-17 22:06:22 UTC
As far as I remember, nvidia.ko makes use of self-modifying code.